LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XComplexDescriptionAccess Interface Referencepublished

Offers access to complex column and row descriptions. More...

`import"XComplexDescriptionAccess.idl";`

Inheritance diagram for XComplexDescriptionAccess:

## Public Member Functions
sequence< sequence< string > > | getComplexRowDescriptions ()
| retrieves the description texts for all rows. More...
void | setComplexRowDescriptions ([in] sequence< sequence< string > > rRowDescriptions)
| sets the description texts for all rows. More...
sequence< sequence< string > > | getComplexColumnDescriptions ()
| retrieves the description texts for all columns. More...
void | setComplexColumnDescriptions ([in] sequence< sequence< string > > rColumnDescriptions)
| sets the description texts for all columns. More...
Public Member Functions inherited from XChartDataArray
sequence< sequence< double > > | getData ()
| retrieves the numerical data as a nested sequence of values. More...
void | setData ([in] sequence< sequence< double > > aData)
| sets the chart data as an array of numbers. More...
sequence< string > | getRowDescriptions ()
| retrieves the description texts for all rows. More...
void | setRowDescriptions ([in] sequence< string > aRowDescriptions)
| sets the description texts for all rows. More...
sequence< string > | getColumnDescriptions ()
| retrieves the description texts for all columns. More...
void | setColumnDescriptions ([in] sequence< string > aColumnDescriptions)
| sets the description texts for all columns. More...
Public Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener. More...
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener. More...
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Offers access to complex column and row descriptions.

Can be obtained from interface XChartDocument via method getData().

Since
  OOo 3.3

## Member Function Documentation

## ◆ getComplexColumnDescriptions()

sequence< sequence< string > > getComplexColumnDescriptions | ( |  | ) |

retrieves the description texts for all columns.

Returns
  a sequence of sequences of strings representing the descriptions of all columns. The outer index represents different columns. The inner index represents the different levels (usually there is only one).

## ◆ getComplexRowDescriptions()

sequence< sequence< string > > getComplexRowDescriptions | ( |  | ) |

retrieves the description texts for all rows.

Returns
  a sequence of sequences of strings representing the descriptions of all rows. The outer index represents different rows. The inner index represents the different levels (usually there is only one).

## ◆ setComplexColumnDescriptions()

void setComplexColumnDescriptions | ( | [in] sequence< sequence< string > > | rColumnDescriptions | ) |

sets the description texts for all columns.

Parameters

  rColumnDescriptions | a sequence of sequences of strings which represent the descriptions of all columns. The outer index represents different columns. The inner index represents the different levels (usually there is only one).

## ◆ setComplexRowDescriptions()

void setComplexRowDescriptions | ( | [in] sequence< sequence< string > > | rRowDescriptions | ) |

sets the description texts for all rows.

Parameters

  rRowDescriptions | a sequence of sequences of strings representing the descriptions of all rows. The outer index represents different rows. The inner index represents the different levels (usually there is only one).

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XComplexDescriptionAccess.idl